# Skip magisk mount
SKIPMOUNT=false

# Load system.prop
PROPFILE=true

# Installation Preview 1
print_modname() {
MODNAME=`grep_prop name $TMPDIR/module.prop`
MODVER=`grep_prop version $TMPDIR/module.prop`
DV=`grep_prop author $TMPDIR/module.prop`
Device=`getprop ro.product.device`
Model=`getprop ro.product.model`
Brand=`getprop ro.product.brand` 
Manufacturer=`getprop ro.product.system.manufacturer`
Architecture=`getprop ro.product.cpu.abi`
SDK=`getprop ro.system.build.version.sdk`
ABI=`getprop ro.system.product.cpu.abilist`
Android=`getprop ro.system.build.version.release`
Type=`getprop ro.system.build.type`
Built=`getprop ro.system.build.date`
Time=$(date "+%d, %b - %H:%M %Z")
FINGERPRINT=`getprop ro.system.build.fingerprint`
ID=`getprop ro.system.build.id`
BTAG=`getprop ro.system.build.tags`
BVER=`getprop ro.system.build.version.incremental`
SP=`getprop ro.build.version.security_patch`
HOST=`getprop ro.build.host`
FBE=`getprop ro.crypto.state`
FLAVOUR=`getprop ro.build.flavor`
LOCALE=`getprop ro.product.locale`
BT=`getprop bt.max.hfpclient.connections`
CHIPSET=`getprop ro.device.chipset`
DISPLAY=`getprop ro.device.display_resolution`
#RANG=`getprop ro.device.colorbody_phone`
NETFLIX=`getprop ro.netflix.bsp_rev`
NFC=`getprop ro.nfc.port`
MAINTAINER=`getprop ro.device.maintainer`
CID=`getprop ro.com.google.clientidbase`
SE=`getenforce`
ROOT=`whoami`

  sleep 0.1
  echo "-------------------------------------"
  echo "- Fetching module info..."
  echo "-------------------------------------"
  sleep 1
  echo -e "- Module By：\c"
  echo "$DV"
  sleep 0.2
  echo -e "- Module Name：\c"
  echo "$MODNAME"
  sleep 0.2
  echo -e "- Module Version：\c"
  echo "$MODVER"
  sleep 0.2
echo -e "- Provider：\c"
if [ "$BOOTMODE" ] && [ "$KSU" ]; then
ui_print "🧬 KernelSU app"
ui_print "- KernelSU：$KSU_KERNEL_VER_CODE (kernel) + $KSU_VER_CODE (ksud)"
if [ "$(which magisk)" ]; then
ui_print "-----------------------------------------------------------"
ui_print "! Multiple root implementation is NOT supported!"
abort    "-----------------------------------------------------------"
fi
elif [ "$BOOTMODE" ] && [ "$MAGISK_VER_CODE" ]; then
ui_print "🗿 Magisk app"
else
ui_print "----------------------------------------------------------"
ui_print "Installation from recovery is not supported"
ui_print "Please install from KernelSU or Magisk app"
abort "------------------------------------------------------------"
fi
  sleep 1
  echo "-------------------------------------"
  echo "- Fetching Device info..."
  echo "-------------------------------------"
  sleep 1
  echo "- Brand Name：$Brand"
  sleep 0.2
  echo "- Device Name：$Device"
  sleep 0.2
  echo "- Model Name：$Model"
  sleep 0.2
  echo "- Device Manufacturer: $Manufacturer"
  sleep 0.2
  echo "- Processor：$CHIPSET"
  sleep 0.2
  echo "- Display/Screen Resolution：$DISPLAY"
  sleep 0.2
#  echo "- Body Colour：$RANG"
#  sleep 0.2
  echo "- RAM：$(free | grep Mem | awk '{print $2}')"
  sleep 0.2
  echo "-------------------------------------"
  echo "- Fetching ROM info..."
  echo "-------------------------------------"
  sleep 1
  echo "- Security Patch：$SP"
  sleep 0.2
  echo "- Data Encryption：$FBE"
  sleep 0.2
  echo "- Build Fingerprint：$FINGERPRINT"
  sleep 0.2
  echo "- Build ID：$ID"
  sleep 0.2
  echo "- Build Tag：$BTAG"
  sleep 0.2
  echo "- Build Inc.：$BVER"
  sleep 0.2
  echo "- Build Host：$HOST"
  sleep 0.2
  echo "- Build Flavour：$FLAVOUR"
  sleep 0.2
  echo "- Custom ROM Maintainer：$MAINTAINER"
  sleep 0.2
  echo "- ROM Build Date：$Built"
  sleep 0.2
  echo "- ROM Build Type：$Type"
  sleep 0.2
  echo "-------------------------------------"
  echo "- Fetching System info..."
  echo "-------------------------------------"
  sleep 1
  echo "- SE Linux Status：$SE"
  sleep 0.2
  echo "- PRIVILEGE：$ROOT"
  sleep 0.2
  echo "- Default Language：$LOCALE"
  sleep 0.2
  echo "- Maximum Bluetooth Connection：$BT"
  sleep 0.2
  echo "- Netflix：$NETFLIX"
  sleep 0.2
  echo "- NFC Port：$NFC"
  sleep 0.2
  echo "- Client ID：$CID"
  sleep 0.2
  echo "- ABI SUPPORT：$ABI"
  sleep 0.2
  echo "- Android Version：$Android"
  sleep 0.2
  echo -e "- Kernel Name：\c"
  echo "$(uname -r)"
  sleep 0.2
  echo "- CPU Architecture：$Architecture"
  sleep 0.2
  echo "- SDK Version：$SDK"
  echo " "
  sleep 0.2
  echo "-------------------------------------"
  echo "- Preparing $MODNAME!"
  echo "-------------------------------------"
  sleep 2
ui_print "- Flashing started at $Time !!"
sleep 1
}

# Copy/extract module files into $MODPATH in on_install.
on_install() {
  ui_print "- Optimising module files"
  unzip -o "$ZIPFILE" 'system/*' -d $MODPATH >&2
}

# Set default permission
set_permissions() {
  set_perm_recursive $MODPATH 0 0 0755 0644
#
  set_perm  $MODPATH/system/bin/daemon 0 0 0755

# Install App
 pm install "$MODPATH/system/priv-app/PixelWeather/PixelWeather.apk" >> /dev/null
echo "- Installing Pixel Weather ☁️"
# Installation Preview 2
ui_print " "
ui_print " "
ui_print "       ⏤͟͞𝙈𝙤𝙣𝙖 𝙞𝙨 𝙢𝙚𝙤𝙬𝙞𝙣𝙜 ฅ^•ﻌ•^ฅ"
ui_print " "
ui_print " 　　　　　／＞　　フ "
ui_print " 　　　　　| 　_　 _)  "
ui_print " 　 　　　／. ミ＿xノ 𝙢𝙚𝙤𝙬 >⁠.⁠< "
ui_print " 　　 　 /　　　 　 | "
ui_print " 　　　 /　 ヽ　　 ﾉ "
ui_print " 　 　 │　　| | | "
ui_print " "
sleep 1
ui_print " "
  
# Redirect Module Source
ui_print " "
ui_print "- Finishing installation and "
ui_print "  redirecting to release source in"
ui_print " "
 ui_print " 3 "
 sleep 1
 ui_print " 2 "
 sleep 1
 ui_print " 1 "
 ui_print "   "

 nohup am start -a android.intent.action.VIEW -d https://t.me/MeowRedirect/3 >/dev/null 2>&1 &
 }
# end of file